> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Current employee's tax/payroll documents (vault) with

> Current employee's tax/payroll documents (vault) with presigned download URLs



## OpenAPI

````yaml /api-reference/openapi.json get /api/me/documents
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/me/documents:
    get:
      tags:
        - Me
      summary: Current employee's tax/payroll documents (vault) with
      description: >-
        Current employee's tax/payroll documents (vault) with presigned download
        URLs
      operationId: getApiMeDocuments
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  docs:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        name:
                          type: string
                        category:
                          type: string
                        status:
                          type: string
                        uploadedAt:
                          type: string
                        downloadUrl:
                          type: string
                      required:
                        - id
                        - name
                        - category
                        - status
                        - uploadedAt
                        - downloadUrl
                required:
                  - docs
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````